go/gcc5-go.patch
Flavio Castelli d10969cffe Accepting request 360455 from home:jordimassaguerpla:go
- Update to version 1.6
  * On Linux on little-endian 64-bit PowerPC (linux/ppc64le), Go 1.6 now supports cgo with external linking and is roughly feature complete.
  * Vendoring support
  * HTTP2 transparent support
  * fix gc and gccgo incompatibility regarding embedded unexported struct types containing exported fields
  * Linux on 64-bit MIPS and Android on 32-bit x86
  * enforced rules for sharing Go pointers with C
  * new mechanism for template reuse
  * performance improvements
  ... and more!
   see more in https://tip.golang.org/doc/go1.6

OBS-URL: https://build.opensuse.org/request/show/360455
OBS-URL: https://build.opensuse.org/package/show/devel:languages:go/go?expand=0&rev=249
2016-02-19 13:26:44 +00:00

59 lines
2.3 KiB
Diff

diff --git a/src/make.bash b/src/make.bash
index 2531ca4..12f1aa1 100755
--- a/src/make.bash
+++ b/src/make.bash
@@ -112,8 +112,8 @@ echo '##### Building Go bootstrap tool.'
echo cmd/dist
export GOROOT="$(cd .. && pwd)"
GOROOT_BOOTSTRAP=${GOROOT_BOOTSTRAP:-$HOME/go1.4}
-if [ ! -x "$GOROOT_BOOTSTRAP/bin/go" ]; then
- echo "ERROR: Cannot find $GOROOT_BOOTSTRAP/bin/go." >&2
+if [ ! -x "$GOROOT_BOOTSTRAP/bin/go-5" ]; then
+ echo "ERROR: Cannot find $GOROOT_BOOTSTRAP/bin/go-5." >&2
echo "Set \$GOROOT_BOOTSTRAP to a working Go tree >= Go 1.4." >&2
exit 1
fi
@@ -123,7 +123,7 @@ if [ "$GOROOT_BOOTSTRAP" == "$GOROOT" ]; then
exit 1
fi
rm -f cmd/dist/dist
-GOROOT="$GOROOT_BOOTSTRAP" GOOS="" GOARCH="" "$GOROOT_BOOTSTRAP/bin/go" build -o cmd/dist/dist ./cmd/dist
+GOROOT="$GOROOT_BOOTSTRAP" GOOS="" GOARCH="" "$GOROOT_BOOTSTRAP/bin/go-5" build -o cmd/dist/dist ./cmd/dist
# -e doesn't propagate out of eval, so check success by hand.
eval $(./cmd/dist/dist env -p || echo FAIL=true)
diff --git a/src/make.rc b/src/make.rc
index 6016204..2223092 100755
--- a/src/make.rc
+++ b/src/make.rc
@@ -46,13 +46,13 @@ echo cmd/dist
GOROOT = `{cd .. && pwd}
if(! ~ $#GOROOT_BOOTSTRAP 1)
GOROOT_BOOTSTRAP = $home/go1.4
-if(! test -x $GOROOT_BOOTSTRAP/bin/go){
- echo 'ERROR: Cannot find '$GOROOT_BOOTSTRAP'/bin/go.' >[1=2]
+if(! test -x $GOROOT_BOOTSTRAP/bin/go-5){
+ echo 'ERROR: Cannot find '$GOROOT_BOOTSTRAP'/bin/go-5.' >[1=2]
echo 'Set $GOROOT_BOOTSTRAP to a working Go tree >= Go 1.4.' >[1=2]
exit bootstrap
}
rm -f cmd/dist/dist
-GOROOT=$GOROOT_BOOTSTRAP GOOS='' GOARCH='' $GOROOT_BOOTSTRAP/bin/go build -o cmd/dist/dist ./cmd/dist
+GOROOT=$GOROOT_BOOTSTRAP GOOS='' GOARCH='' $GOROOT_BOOTSTRAP/bin/go-5 build -o cmd/dist/dist ./cmd/dist
eval `{./cmd/dist/dist env -9}
echo
diff --git a/src/cmd/dist/buildtool.go b/src/cmd/dist/buildtool.go
index 20d9535..26cfb20 100644
--- a/src/cmd/dist/buildtool.go
+++ b/src/cmd/dist/buildtool.go
@@ -111,7 +111,7 @@ func bootstrapBuildTools() {
os.Setenv("GOHOSTARCH", "")
// Run Go 1.4 to build binaries.
- run(workspace, ShowOutput|CheckExit, pathf("%s/bin/go", goroot_bootstrap), "install", "-v", "bootstrap/...")
+ run(workspace, ShowOutput|CheckExit, pathf("%s/bin/go-5", goroot_bootstrap), "install", "-v", "bootstrap/...")
// Copy binaries into tool binary directory.
for _, name := range bootstrapDirs {